Bug 233623 - devel/gradle: Update to 5.0
Summary: devel/gradle: Update to 5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-29 08:20 UTC by Yuri Victorovich
Modified: 2018-12-04 17:54 UTC (History)
2 users (show)

See Also:
gasol.wu: maintainer-feedback+


Attachments
patch (16.56 KB, patch)
2018-11-29 08:20 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-11-29 08:20:44 UTC
Created attachment 199655 [details]
patch
Comment 1 Tobias Kortkamp freebsd_committer 2018-11-29 11:38:40 UTC
(In reply to Yuri Victorovich from comment #0)
This breaks the build of openjfx8-devel.  Probably we need to preserve the
current version of gradle just for it, maybe as devel/gradle4.  Patching 
openjfx8-devel's build system is great fun...

P.S. Please assign yourself to bugs you submit, so that they disappear from
the 'Unassigned Port PRs' queue.
Comment 2 Yuri Victorovich freebsd_committer 2018-11-29 16:01:10 UTC
Unrelated to this update, but projects using gradle are also unportable (ports can't be created) due to the problem that it creates unportable dependency cache that has to be re-downloaded during each build because it contains full directory paths in it. Ports using gradle probably don't require dependencies, that's why they are even possible,
Comment 3 Tobias Kortkamp freebsd_committer 2018-11-29 16:08:38 UTC
(In reply to Yuri Victorovich from comment #2)
Indeed.  In openjfx8-devel I have replaced build dependencies that are normally 
downloaded from Maven Central (or wherever) with jar files from various ports,
so that it can be built in Poudriere.
Comment 4 commit-hook freebsd_committer 2018-11-30 08:59:39 UTC
A commit references this bug:

Author: tobik
Date: Fri Nov 30 08:59:14 UTC 2018
New revision: 486238
URL: https://svnweb.freebsd.org/changeset/ports/486238

Log:
  Preserve Gradle 4 in preparation of a devel/gradle update

  It is required for building java/openjfx8-devel.

  PR:		233623

Changes:
  head/devel/Makefile
  head/devel/gradle4/
  head/devel/gradle4/Makefile
  head/devel/gradle4/pkg-plist
Comment 5 Tobias Kortkamp freebsd_committer 2018-11-30 09:27:22 UTC
(In reply to commit-hook from comment #4)
... and also ports r486239.
Comment 6 Gasol Wu 2018-12-04 15:11:46 UTC
Comment on attachment 199655 [details]
patch

LGTM
Comment 7 Yuri Victorovich freebsd_committer 2018-12-04 17:54:07 UTC
Committed.
Comment 8 commit-hook freebsd_committer 2018-12-04 17:54:24 UTC
A commit references this bug:

Author: yuri
Date: Tue Dec  4 17:53:47 UTC 2018
New revision: 486619
URL: https://svnweb.freebsd.org/changeset/ports/486619

Log:
  devel/gradle: Update to 5.0

  Change biology/igv and biology/gatk to gradle4 due to build failures with gradle5.

  PR:		233623
  Approved by:	gasol.wu@gmail.com (maintainer)

Changes:
  head/biology/gatk/Makefile
  head/biology/igv/Makefile
  head/devel/gradle/Makefile
  head/devel/gradle/distinfo
  head/devel/gradle/pkg-plist